GIT-BUG(1)

NAME

git-bug-ls - List bugs.

SYNOPSIS

git-bug ls [QUERY] [flags]

DESCRIPTION

Display a summary of each bugs.

You can pass an additional query to filter and order the list. This query can be expressed either with a simple query language, flags, a natural language full text search, or a combination of the aforementioned.

OPTIONS

-s, --status=[]
    Filter by status. Valid values are [open,closed]

-a, --author=[]
    Filter by author

-m, --metadata=[]
    Filter by metadata. Example: github-url=URL

-p, --participant=[]
    Filter by participant

-A, --actor=[]
    Filter by actor

-l, --label=[]
    Filter by label

-t, --title=[]
    Filter by title

-n, --no=[]
    Filter by absence of something. Valid values are [label]

-b, --by="creation"
    Sort the results by a characteristic. Valid values are [id,creation,edit]

-d, --direction="asc"
    Select the sorting direction. Valid values are [asc,desc]

-f, --format="default"
    Select the output formatting style. Valid values are [default,plain,compact,id,json,org-mode]

-h, --help[=false]
    help for ls

EXAMPLE

    List open bugs sorted by last edition with a query:
    git bug ls status:open sort:edit-desc
    List closed bugs sorted by creation with flags:
    git bug ls --status closed --by creation
    Do a full text search of all bugs:
    git bug ls "foo bar" baz
    Use queries, flags, and full text search:
    git bug ls status:open --by creation "foo bar" baz

SEE ALSO

git-bug(1)